#! /bin/sh
## controlled by puppet
# Configuration information for AFS client. Only actually used options in here.

<% optionsstring = @merged_options.keys.sort.inject(String.new) do |optstr, elem| -%>
<%  if elem=='fakestat' || elem=='memcache' || elem=='dynroot' || elem=='afsdb' -%>
<%    if @merged_options[elem]==true -%>
<%      optstr = optstr + '-' + elem + ' ' -%>
<%    end -%>
<%  else -%>
<%    optstr = optstr + '-' + elem + ' ' + @merged_options[elem].to_s + ' ' -%>
<%  end -%>
<%  optstr -%>
<% end -%>

# OpenAFS 1.6/1.8 - arguments for the client cache manager
AFSD_ARGS="<%= optionsstring.chomp(' ') %>"

# Either the name of an executable script or a set of commands go here.
<% if @setcrypt -%>
## CERN: turn on (flimsy) encryption
AFS_POST_INIT="/usr/bin/fs setcrypt -crypt on"
<% else -%>
##AFS_POST_INIT=""
<% end -%>
